## Delete a Lexicon Slot

### Endpoint

`POST /v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}`

### Request Example

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId} \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Possible Response Status Codes

- `204`: Successfully removed the slot from the entry.
- `400`: Bad Request Error. Validation failed. Missing payload.
- `401`: Unauthorized Error.
- `402`: Payment Required Error. Validation failed. Missing payload.
- `403`: Forbidden Error.
- `404`: Not Found Error.
- `405`: Method Not Allowed Error.
- `409`: Conflict Error.
- `413`: Payload Too Large Error.
- `500`: Internal Server Error.
- `501`: Not Implemented Error.
- `502`: Bad Gateway Error.
- `503`: Service Unavailable Error.
- `504`: Gateway Timeout Error.
